networking-bgpvpn (20.0.0+git2024080809.e62d94fc-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Aug 2024 11:43:49 +0100

networking-bgpvpn (20.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:41:59 +0100

networking-bgpvpn (20.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 10:02:52 +0000

networking-bgpvpn (19.0.0+git2024011916.deafdf6b-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jan 2024 12:31:18 +0000

networking-bgpvpn (19.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:09:34 -0400

networking-bgpvpn (18.0.0+git2023090714.fd5d5818-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:35:02 -0400

networking-bgpvpn (18.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Mar 2023 09:13:44 -0400

networking-bgpvpn (18.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Mar 2023 07:54:14 -0500

networking-bgpvpn (17.0.0+git2023011010.d259ea39-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 10:11:49 -0500

networking-bgpvpn (17.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 17.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 17:04:08 -0400

networking-bgpvpn (16.0.0+git2022091215.03265a1-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 15:20:24 -0400

networking-bgpvpn (16.0.0+git2022071815.d6a7d99-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 15:25:46 -0400

networking-bgpvpn (16.0.0+git2022060609.07c35f9-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jun 2022 09:32:29 -0400

networking-bgpvpn (16.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 21:24:11 -0400

networking-bgpvpn (15.0.0+git2022030313.1d09555-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 13:59:12 -0500

networking-bgpvpn (15.0.0+git2021120909.1789824-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 09:24:31 -0500

networking-bgpvpn (15.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 15.x series.
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Oct 2021 10:45:21 -0400

networking-bgpvpn (14.0.0+git2021090912.78fc8e3-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Sep 2021 12:47:58 -0400

networking-bgpvpn (14.0.0+git2021072117.8b3d07c-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 17:14:52 -0400

networking-bgpvpn (14.0.0+git2021061112.b4cbc90-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:52 +0000

networking-bgpvpn (14.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 14 Apr 2021 13:53:16 +0000

networking-bgpvpn (14.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 14.x series and fix tarball path.
  * New upstream release candidate for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Mar 2021 10:57:30 -0400

networking-bgpvpn (13.0.0+git2020121015.2722d5a-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 10 Dec 2020 15:13:08 +0000

networking-bgpvpn (13.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 08:25:34 -0400

networking-bgpvpn (13.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 13.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 16:25:05 -0400

networking-bgpvpn (12.0.1~git2020091516.f98cd4b-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 16:10:49 -0400

networking-bgpvpn (12.0.1~git2020070613.82af96f-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-mock.patch: Dropped. Fixed upstream.
  * d/control, d/compat: Switch to debhelper compat 12.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Jul 2020 13:59:10 -0400

networking-bgpvpn (12.0.0-0ubuntu1) groovy; urgency=medium

  * d/p/fix-mock.patch: Cherry-picked from https://review.opendev.org/#/c/722308 to
    fix unit test failures.
  * d/watch: Scope to 12.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 14:03:10 -0400

networking-bgpvpn (12.0.0~b3~git2020032545.9dcd5ed-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 10:03:03 +0000

networking-bgpvpn (12.0.0~b2~git2020020712.7b00569-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 07 Feb 2020 13:03:26 +0100

networking-bgpvpn (12.0.0~b1~git2019121710.40fa37b-0ubuntu2) focal; urgency=medium

  * d/control: Ensure (Build-)Depends are aligned with Ussuri. Tests were failing
    when old versions of networking-bagpipe and neutron were being used.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Dec 2019 10:29:13 -0500

networking-bgpvpn (12.0.0~b1~git2019121710.40fa37b-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream
  * d/control: Drop. Dropped Python2 support
  * d/rules: Swith to pybuild
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 17 Dec 2019 11:41:49 +0100

networking-bgpvpn (11.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 16:13:40 +0100

networking-bgpvpn (11.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 11.x series.
  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 12:29:02 +0100

networking-bgpvpn (11.0.0~b2~git2019080820.9ec426c-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 20:59:23 -0400

networking-bgpvpn (11.0.0~b1~git2019061315.d9cfb7b-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 12:04:12 +0100

networking-bgpvpn (10.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:40:09 +0100

networking-bgpvpn (10.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:54:56 +0000

networking-bgpvpn (10.0.0~b1-0ubuntu1) disco; urgency=medium

  * d/watch: Switch to tracking 10.x series.
  * New upstream milestone for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 09:33:04 +0000

networking-bgpvpn (10.0.0~b1~git2019013122.fdec45b-0ubuntu2) disco; urgency=medium

  * d/control: Bump minimum neutron version to resolve unit test
    failures.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:47:52 +0000

networking-bgpvpn (10.0.0~b1~git2019013122.fdec45b-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:33:19 +0000

networking-bgpvpn (10.0.0~b1~git2018111649.d6776fd-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/rules,control: Drop Python 2 support.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 12:05:35 +0000

networking-bgpvpn (9.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/rules: Add tabs to override_dh_auto_test as tests won't execute without.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:25:42 -0400

networking-bgpvpn (9.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/control: Drop duplicate BD's.
  * d/copyright: Tidy.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 20 Aug 2018 11:06:11 +0100

networking-bgpvpn (9.0.0~b2-0ubuntu3) cosmic; urgency=medium

  * d/rules: Amend type in override for dh_auto_install.

 -- James Page <james.page@ubuntu.com>  Tue, 26 Jun 2018 10:27:54 +0100

networking-bgpvpn (9.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add BD's and binary packages for py3.
    - d/control: Deal with move of configuration files to -common.
    - d/rules: Use pkgos-dh_auto_install.
    - d/rules: Directly generate sample config files.
    - d/rules: Only execute py2 tests to workaround circular depends
      with networking-bagpipe.

 -- James Page <james.page@ubuntu.com>  Mon, 25 Jun 2018 11:22:57 +0100

networking-bgpvpn (9.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/watch: Align to Rocky series.
  * Align (Build-)Depends with upstream.
  * New upstream milestone for OpenStack Rocky.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:03:21 +0100

networking-bgpvpn (8.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Feb 2018 16:48:02 +0000

networking-bgpvpn (8.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to using python3-sphinx.
  * d/rules: Blacklist bagpipe unit tests due to circular dependency.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 17:52:28 +0000

networking-bgpvpn (8.0.0~b3-0ubuntu3) bionic; urgency=medium

  * d/control: Drop min version of python-sphinxcontrib.blockdiag/seqdiag.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Jan 2018 14:03:03 -0500

networking-bgpvpn (8.0.0~b3-0ubuntu2) bionic; urgency=medium

  * d/rules: Re-enable tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 29 Jan 2018 13:05:28 -0500

networking-bgpvpn (8.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/p/drop-openstackdoctheme.patch: Drop, no longer required.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/watch: Scope to Queens series.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Temporarily disable tests due to circular dependency in
    networking-bagpipe.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 14:28:19 -0500

networking-bgpvpn (8.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 16:01:51 +0000

networking-bgpvpn (7.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:56:43 -0400

networking-bgpvpn (7.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:20:20 -0400

networking-bgpvpn (7.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 21:40:31 -0400

networking-bgpvpn (7.0.0~b3-0ubuntu1) artful; urgency=medium

  * d/control: Drop python-oslosphinx and add python-openstackdocstheme.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 14:23:37 -0400

networking-bgpvpn (7.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 22:34:44 +0100

networking-bgpvpn (7.0.0~b1-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * Align (Build-)Depends with upstream milestone.
  * New upstream milestone for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 26 Apr 2017 16:33:56 +0100

networking-bgpvpn (6.0.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Add watch file.
  * New upstream release. 
  * d/control: Adjust dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 10:16:18 -0500

networking-bgpvpn (5.0.0-0ubuntu2) zesty; urgency=medium

  * debian/control: Fix typo. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 27 Feb 2017 10:05:30 -0500

networking-bgpvpn (5.0.0-0ubuntu1) zesty; urgency=medium

  * Initial release.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Feb 2017 15:01:28 -0500
